Package org.kapott.hbci.sepa.jaxb.camt_052_001_05

## Class Document

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_05.Document

    public class Document
    extends java.lang.Object

Java class for Document complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Document">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BkToCstmrAcctRpt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}BankToCustomerAccountReportV05"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected BankToCustomerAccountReportV05` `bkToCstmrAcctRpt`

### Constructor Summary

Constructors
`Document()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BankToCustomerAccountReportV05` `getBkToCstmrAcctRpt()` Gets the value of the bkToCstmrAcctRpt property.
`void` `setBkToCstmrAcctRpt​(BankToCustomerAccountReportV05 value)` Sets the value of the bkToCstmrAcctRpt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### bkToCstmrAcctRpt

    protected BankToCustomerAccountReportV05 bkToCstmrAcctRpt

### Constructor Detail

#### Document

    public Document()

### Method Detail

#### getBkToCstmrAcctRpt

    public BankToCustomerAccountReportV05 getBkToCstmrAcctRpt()

Gets the value of the bkToCstmrAcctRpt property.

Returns:
  possible object is `BankToCustomerAccountReportV05`

#### setBkToCstmrAcctRpt

    public void setBkToCstmrAcctRpt​(BankToCustomerAccountReportV05 value)

Sets the value of the bkToCstmrAcctRpt property.

Parameters:
  `value` - allowed object is `BankToCustomerAccountReportV05`